xhost +local:docker && docker run -it --rm \
    --name ros2-container \
    --privileged \
    --device=/dev/dri:/dev/dri \
    --device=/dev/ttyUSB0 \
    -v /tmp/.X11-unix:/tmp/.X11-unix \
    -v /run/user/$(id -u):/run/user/$(id -u) \
    -e DISPLAY=$DISPLAY \
    -v $(pwd)/ros2_ws:/home/$(whoami)/ros2_ws \
    --group-add video \
    --group-add dialout \
    --ipc=host \
    ros2-humble-gui
